{
  "name": "marketalarm",
  "version": "1.0.1",
  "description": "Market Alarm",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "start": "node ./index.js",
    "start-mon": "nodemon ./index.js",
    "migrate": "cd app && npx sequelize db:migrate",
    "setup": "docker build -t marketalerts .  && docker run -e POSTGRES_USER=docker -e POSTGRES_PASSWORD=docker -e POSTGRES_DB=marketalerts --name pg_marketalerts -d -p 5432:5432 marketalerts && sleep 10 && npm run migrate",
    "docker-start": "docker start pg_marketalerts",
    "docker-stop": "docker stop pg_marketalerts",
    "crawl": "cd app/crawler && node npmCrawl.js",
    "daily-notify": "cd app/npmScripts && node npmDailyNotify.js",
    "test-search": "cd test && node searchTest.js",
    "test-olx-scraper": "cd test && node olxScrapeTest.js",
    "test-rental-scraper": "cd test && node rentalScrapeTest.js"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:saburly/marketalarm/web.git"
  },
  "author": "Saburlije",
  "license": "ISC",
  "engines": {
    "node": "11.10.x"
  },
  "dependencies": {
    "2checkout-node": "0.0.1",
    "@sendgrid/mail": "^6.3.1",
    "aws-sdk": "^2.422.0",
    "bluebird": "^3.5.5",
    "cheerio": "^1.0.0-rc.2",
    "compression": "^1.7.4",
    "dotenv": "^7.0.0",
    "ejs": "^2.6.1",
    "eslint-plugin-prettier": "^3.1.2",
    "express": "^4.16.4",
    "express-ejs-layouts": "^2.5.0",
    "express-layout": "^0.1.0",
    "html-to-text": "^5.1.1",
    "moment": "^2.24.0",
    "moment-timezone": "^0.5.26",
    "node-fetch": "^2.3.0",
    "node-schedule": "^1.3.2",
    "pg": "^7.10.0",
    "prettier": "^1.19.1",
    "react-step-wizard": "^5.1.0",
    "sequelize": "^5.18.4",
    "sequelize-cli": "^5.5.0"
  },
  "devDependencies": {
    "nodemon": "^1.19.0"
  }
}
